Subject: Re: Fw: [Bugme-new] [Bug 3746] New: Bridge causes machine lockups

From: Michał Margula <[email-masked]>
Date: Mon, 15 Nov 2004 22:57:50 +0100

Andrew Morton napisał(a):

>Originator added to Cc..
>
>Bart De Schuymer <[email-masked]> wrote:
>  
>
>>Can you do something similar with iptables rules to see if it's specific to 
>>ebtables (which I doubt)?
>>
>>    
>>
OK. Done. I have tried to mimic ebtables rules as similar as possible. 
Only difference is that iptables module mac has only --mac-source 
option. Now I need to wait about 24 to 48 hours, to see if everything is 
OK. I will tell you as soon I have more information.

>>>The only weird thing I noticed is when I initalise my bridge, is something
>>>about that it can't get speed of some interfaces (guessing it is about
>>>e1000). I can't give you full error message at the moment, because those
>>>have been rotated by logrotate.
>>>      
>>>
>>I don't know what that is about...
>>
>>    
>>

Found it in kernel sources, it was giving error from line 62 of 
net/bridge/br_if.c:

pr_info("bridge: can't decode speed from %s: %d\n",
                                dev->name, ecmd.speed);

Thanks!

-- 

Michał Margula, [email-masked], http://alchemyx.uznam.net.pl/
"W życiu piękne są tylko chwile" [Ryszard Riedel]